<?php
ob_start();
include("config.php");


$dbres	=	mysql_query("SELECT *,UNIX_TIMESTAMP(`gevangenis`) AS `gevangenis`,0 FROM `gebruiker` WHERE `login`='{$data->login}'");
$data	=	mysql_fetch_object($dbres);

	if($data->gevangenis + $data->gevangenistijd > time()){
	header("Location: netwerken-gevangenis.php"); 
	exit;
	}

?>

<html>
<head>
<title>Ultimatecrime</title>
<link rel="stylesheet" type="text/css" href="style_general.css">
</head>
<body background="layout/images/layout_12.gif" bgproperties="fixed">
<br>
<br>
<br>
<form method="post">	
<table align="center" width="600">
	  <tr>
		<td class="subTitle" colspan="2">
		<b>Ultimatecrime - Streetrace</b>
		</td>
	</tr>
	<tr>
		<td class="mainTxt" colspan="2" align="center">

<?php

$dbres	=	mysql_query("SELECT *,UNIX_TIMESTAMP(`wachttijd_racen`) AS `wachttijd_racen`,0 FROM `gebruiker` WHERE `login`='{$data->login}'");
$data	=	mysql_fetch_object($dbres);

	if(isset($_POST['submit']) || isset($_POST['annuleer'])){
		if($data->bezet1 == 0){
		$naam		=	$_POST['tegenstander'];
		$autoid		=	$_POST['autoid'];
		$prijs		=	$_POST['prijs'];

		$dbres		=	mysql_query("SELECT * FROM `autos` WHERE `owner`='{$data->login}' AND `id`='$autoid'");
		$controlle1	=	mysql_num_rows($dbres);

		$dbres		=	mysql_query("SELECT * FROM `gebruiker` WHERE `bezet1`='0' AND `login`='$naam'");
		$controlle2	=	mysql_num_rows($dbres);

		$dbres		=	mysql_query("SELECT *,UNIX_TIMESTAMP(`wachttijd_racen`) AS `wachttijd_racen`,0 FROM `gebruiker` WHERE `login`='$naam' AND `level`!='-1' AND `level`!='0'");
		$controlle3	=	mysql_num_rows($dbres);
		$controlle4	=	mysql_fetch_object($dbres);

		$dbres		=	mysql_query("SELECT * FROM `autos` WHERE `owner`='{$data->login}' AND `id`='$autoid' AND `status`='1'");
		$controlle5	=	mysql_num_rows($dbres);

			if(! is_numeric($autoid)) {
			echo "Vul een geldige auto id in.<meta http-equiv=\"refresh\" content=\"3\">";

			} else if($controlle1 == 0){
			echo "Deze auto is niet van jou.<meta http-equiv=\"refresh\" content=\"3\">";

			} else if($controlle5 == 1){
			echo "Deze auto staat te koop op marktplaats.<meta http-equiv=\"refresh\" content=\"3\">";

			} else if($controlle3 == 0){
			echo "Deze gebruiker bestaat niet is verbannen of is dood.<meta http-equiv=\"refresh\" content=\"3\">";

			} else if($controlle2 == 0){
			echo "Deze gebruiker is al bezig met een race.<meta http-equiv=\"refresh\" content=\"3\">";

			} else if($naam == $data->login){
			echo "Je mag jezelf niet uitnodigen voor een potje tegen jezelf.<meta http-equiv=\"refresh\" content=\"3\">";

			} else if($prijs > $data->cash || $prijs < 1 || $prijs == "" || (is_numeric($prijs) == 0)){
			echo "Vul een geldige prijs in.<meta http-equiv=\"refresh\" content=\"3\">";

			} else if($controlle4->wachttijd_racen + 1800 > time()){
			echo "Deze gebruiker is nog aan het rusten van de vorige race.<meta http-equiv=\"refresh\" content=\"3\">";

			} else {
			mysql_query("INSERT INTO `racen`(`login1`,`login2`,`auto_id`,`prijs`) VALUES('{$data->login}','$naam','$autoid','$prijs')");
			mysql_query("UPDATE `gebruiker` SET `bezet1`='1',`cash`=`cash`-'$prijs' WHERE `login`='{$data->login}'");
			mysql_query("UPDATE `gebruiker` SET `bezet1`='2' WHERE `login`='$naam'");
			mysql_query("UPDATE `autos` SET `status`='2' WHERE `owner`='{$data->login}' AND `id`='$autoid'");
			mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','$naam','Auto racen','{$data->login} heeft je uitgenodigt voor een autorace.')");
			echo "Je hebt $naam uitgenodigt voor een race.<meta http-equiv=\"refresh\" content=\"3\">";
			}
		} else if($data->bezet1 == 1){
		$dbres	=	mysql_query("SELECT * FROM `racen` WHERE `login1`='{$data->login}'");
		$race	=	mysql_fetch_object($dbres);
		mysql_query("UPDATE `gebruiker` SET `cash`=`cash`+'{$race->prijs}' WHERE `login`='{$race->login1}'");
		mysql_query("DELETE FROM `racen` WHERE `id`='{$race->id}'");
		mysql_query("UPDATE `gebruiker` SET `bezet1`='0' WHERE `login`='{$race->login2}'");
		mysql_query("UPDATE `gebruiker` SET `bezet1`='0' WHERE `login`='{$race->login1}'");
		mysql_query("UPDATE `autos` SET `status`='0' WHERE `id`='{$race->auto_id}'");
		mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$race->login2}','Auto racen','{$data->login} heeft de race geannuleert.')");
		echo "Je hebt de race geannuleert.<meta http-equiv=\"refresh\" content=\"3\">";
		} else if($data->bezet1 == 2){
			if(isset($_POST['annuleer'])){
			$dbres	=	mysql_query("SELECT * FROM `racen` WHERE `login2`='{$data->login}'");
			$race	=	mysql_fetch_object($dbres);
			mysql_query("UPDATE `gebruiker` SET `cash`=`cash`+'{$race->prijs}' WHERE `login`='{$race->login1}'");
			mysql_query("DELETE FROM `racen` WHERE `id`='{$race->id}'");
			mysql_query("UPDATE `gebruiker` SET `bezet1`='0' WHERE `login`='{$race->login2}'");
			mysql_query("UPDATE `gebruiker` SET `bezet1`='0' WHERE `login`='{$race->login1}'");
			mysql_query("UPDATE `autos` SET `status`='0' WHERE `id`='{$race->auto_id}'");
			mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$race->login1}','Auto racen','{$data->login} heeft de race geannuleert.')");
			echo "Je hebt de race geannuleert.<meta http-equiv=\"refresh\" content=\"3\">";

			} else {
			$id		=	$_POST['autoid'];
			$dbres		=	mysql_query("SELECT * FROM `autos` WHERE `owner`='{$data->login}' AND `id`='$id'");
			$controlle1	=	mysql_num_rows($dbres);
			$dbres		=	mysql_query("SELECT * FROM `autos` WHERE `owner`='{$data->login}' AND `id`='$id' AND `status`='1'");
			$controlle2	=	mysql_num_rows($dbres);
			$dbres		=	mysql_query("SELECT * FROM `autos` WHERE `owner`='{$data->login}' AND `id`='$id' AND `status`='3'");
			$controlle3	=	mysql_num_rows($dbres);
			$dbres		=	mysql_query("SELECT * FROM `autos` WHERE `owner`='{$data->login}' AND `id`='$id' AND `status`='4'");
			$controlle4	=	mysql_num_rows($dbres);
			$dbres		=	mysql_query("SELECT * FROM `racen` WHERE `login2`='{$data->login}'");
				if($race = mysql_fetch_object($dbres)){
				if(! is_numeric($id)) {
				echo "Vul een geldige auto id in.<meta http-equiv=\"refresh\" content=\"3\">";
				} else if($controlle1 == 0){
				echo "Deze auto is niet van jou.<meta http-equiv=\"refresh\" content=\"3\">";
				} else if($controlle2 == 1){
				echo "Deze auto staat te koop op marktplaats.<meta http-equiv=\"refresh\" content=\"3\">";
				} else if($controlle3 == 1){
				echo "Met deze auto doe je al een heist op het moment.<meta http-equiv=\"refresh\" content=\"3\">";
				} else if($controlle4 == 1){
				echo "Met deze auto doe je al een georganiseerde misdaad op het moment.<meta http-equiv=\"refresh\" content=\"3\">";
				} else if($data->cash < $race->prijs){
				echo "Je hebt niet voldoende geld om deze race te starten.<meta http-equiv=\"refresh\" content=\"3\">";
				} else {
				$dbres		=	mysql_query("SELECT * FROM `autos` WHERE `owner`='{$data->login}' AND `id`='$id'");
				$auto1		=	mysql_fetch_object($dbres);
				$dbres		=	mysql_query("SELECT * FROM `autos` WHERE `owner`='{$race->login1}' AND `id`='{$race->auto_id}'");
				$auto2		=	mysql_fetch_object($dbres);
				$dbres		=	mysql_query("SELECT * FROM `gebruiker` WHERE `login`='{$race->login1}'");
				$man		=	mysql_fetch_object($dbres);
				$totaal1	=	round(((($auto1->pk/100)*$auto1->schade)+$auto1->snelheid)+$auto1->massa);
				$totaal2	=	round(((($auto2->pk/100)*$auto2->schade)+$auto2->snelheid)+$auto2->massa);
				$getal		=	rand(1,2);
				$d1		=	$auto1->schade;
				$d2		=	$auto2->schade;
				$schade1	=	rand($d1,100);
				$schade2	=	rand($d2,100);
				mysql_query("UPDATE `autos` SET `schade`='$schade1' WHERE `id`='{$auto1->id}'");
				mysql_query("UPDATE `autos` SET `schade`='$schade2' WHERE `id`='{$auto2->id}'");
					if($totaal1 > $totaal2){
					mysql_query("UPDATE `gebruiker` SET `cash`=`cash`+'{$race->prijs}'+'{$race->prijs}' WHERE `login`='{$data->login}'");
					mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$race->login1}','Auto racen','{$data->login} heeft de race van jouw gewonnen.')");
					echo "Je hebt de race gewonnen.<meta http-equiv=\"refresh\" content=\"3\">";
					} else if($totaal2 > $totaal1){
					mysql_query("UPDATE `gebruiker` SET `cash`=`cash`+'{$race->prijs}'+'{$race->prijs}' WHERE `login`='{$race->login1}'");
					mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$race->login1}','Auto racen','{$data->login} heeft de race van jouw verloren.')");
					echo "Je hebt de race verloren.<meta http-equiv=\"refresh\" content=\"3\">";
					} else if($totaal1 == $totaal2){
						if($getal == 1){
						mysql_query("UPDATE `gebruiker` SET `cash`=`cash`+'{$race->prijs}'+'{$race->prijs}' WHERE `login`='{$data->login}'");
						mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$race->login1}','Auto racen','{$data->login} heeft de race van jouw gewonnen.')");
						echo "Je hebt de race gewonnen.<meta http-equiv=\"refresh\" content=\"3\">";
						} else {
						mysql_query("UPDATE `gebruiker` SET `cash`=`cash`+'{$race->prijs}'+'{$race->prijs}' WHERE `login`='{$race->login1}'");
						mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$race->login1}','Auto racen','{$data->login} heeft de race van jouw verloren.')");
						echo "Je hebt de race verloren.<meta http-equiv=\"refresh\" content=\"3\">";
						}
					}
				mysql_query("DELETE FROM `racen` WHERE `id`='{$race->id}'");
				mysql_query("UPDATE `gebruiker` SET `bezet1`='0',`wachttijd_racen`=NOW() WHERE `login`='{$data->login}'");
				mysql_query("UPDATE `gebruiker` SET `bezet1`='0',`wachttijd_racen`=NOW() WHERE `login`='{$race->login1}'");
				mysql_query("UPDATE `autos` SET `status`='0' WHERE `owner`='{$man->login}'");
				mysql_query("UPDATE `autos` SET `status`='0' WHERE `owner`='{$data->login}'");
				}
				} else {
				echo "error vermeld bug please bij de admin...<br>";
				}
			}
		}
	} else {
		if($data->wachttijd_racen + 1800 > time()){
		$totaal		=	$data->wachttijd_racen+1800-time()-3600;
		$tijd		=	date("i:s",$totaal);
		echo "Je bent nog aan het rusten van de vorige race. Je moet nog $tijd wachten.";
		} else {
			if($data->bezet1 == 0){

?>

		<img src="images/misdaad/streetrace.jpg" alt="Dikke streetrace"></td>
	</tr>
	<tr>
		<td width="600" class="mainTxt" colspan="2"><span class="tekstheader">Streetrace</span><br>Hier kan je iemand uitdagen voor een streetrace!<br>Jullie racen tegen elkaar, voor de prijzenpot. De prijzenpot bestaat uit 2x het start bedrag.<br>Het is mogelijk dat je auto schade oploopt tijdens het racen... Dit is geheel voor eigen risico.</td>
	</tr>
	<tr>
		<td width="300" class="mainTxt">Auto ID</td>
		<td class="mainTxt" width="300"><input type="text" name="autoid" maxlength=16></td>
	</tr>
	<tr>
		<td width="300" class="mainTxt">Startprijs per persoon in &euro;</td>
		<td class="mainTxt" width="300"><input type="text" name="prijs" maxlength=9></td>
	</tr>
	<tr>
		<td width="300" class="mainTxt">Crimineel uitdagen</td>
		<td class="mainTxt" width="300"><input type="text" name="tegenstander" maxlength=16></td>
	</tr>
	<tr>
		<td width="300" class="mainTxt">Bevestig</td>
		<td class="mainTxt" width="300"><input type="submit" name="submit" value="Stuur verzoek"  style="width: 100;">

<?php

			} else if($data->bezet1 == 1){

?>

		<img src="images/misdaad/streetrace.jpg" alt="Dikke streetrace"></td>
	</tr>
	<tr>
		<td width="600" class="mainTxt" colspan="2"><span class="tekstheader">Streetrace</span></td>
	</tr>
	<tr>
		<td width="600" class="mainTxt" colspan="2">Je hebt al iemand uitgenodigt voor een auto race.<br>Wil je hem annuleren omdat hij zo traag reageert?</td>
	</tr>
	<tr>
		<td width="300" class="mainTxt">Bevestig</td>
		<td class="mainTxt" width="300"><input type="submit" name="submit" value="Annuleren"  style="width: 100;">

<?php
			} else if($data->bezet1 == 2){
			$dbres	=	mysql_query("SELECT * FROM `racen` WHERE `login2`='{$data->login}'");
			$race	=	mysql_fetch_object($dbres);
			$naam	=	$race->login1;	
			$inzet	=	geld($race->prijs);

?>

		<img src="images/misdaad/streetrace.jpg" alt="Dikke streetrace"></td>
	</tr>
	<tr>
		<td width="600" class="mainTxt" colspan="2"><span class="tekstheader">Streetrace</span></td>
	</tr>
	<tr>
		<td width="600" class="mainTxt" colspan="2">Je bent uitgenodigd voor een auto race door <?php echo $naam; ?>.<br>Annuleer of start hem hieronder!</td>
	</tr>
	<tr>
		<td width="300" class="mainTxt">Auto ID</td>
		<td class="mainTxt" width="300"><input type="text" name="autoid" maxlength=16></td>
	</tr>
	<tr>
		<td width="300" class="mainTxt">Startprijs per persoon</td>
		<td class="mainTxt" width="300">&euro;<?php echo $inzet; ?></td>
	</tr>
	<tr>
		<td width="300" class="mainTxt">Bevestig</td>
		<td class="mainTxt" width="300"><input type="submit" name="submit" value="Stuur verzoek"  style="width: 100;"> <input type="submit" name="annuleer" value="Annuleren"  style="width: 100;">

<?php

			}
		}
	}

?>

		</td>
	</tr>
</table>
</form>
</body>
</html>
